New Requirements for Sage Accpac EFT Users

New international Electronic Funds Transfer transaction requirements coming into effect September 18th, 2009, will not be supported by the current version of Sage Accpac EFT. Customers who are currently transferring funds across US borders using this product have the option of migrating to Orchid System's EFT Processing solution in order to continue doing so.

Sage is partnering with Orchid to offer a discount for those wanting to make the switch. Click here for Promotion Details